Freeciv-3.3: /fast/freeciv/nightly/main/common/scriptcore/tolua_signal_gen.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions
tolua_signal_gen.c File Reference
`#include "tolua.h"`
`#include <stdlib.h>`
`#include <string.h>`
`#include "api_signal_base.h"`
`#include "luascript_types.h"`

Go to the source code of this file.

## Functions

int | tolua_bnd_takeownership (lua_State *L)
TOLUA_API int | tolua_signal_open (lua_State *tolua_S)
LUALIB_API int | luaopen_signal (lua_State *tolua_S)
static void | tolua_reg_types (lua_State *tolua_S)
static int | tolua_signal_signal_connect00 (lua_State *tolua_S)
static int | tolua_signal_signal_remove00 (lua_State *tolua_S)
static int | tolua_signal_signal_defined00 (lua_State *tolua_S)
static int | tolua_signal_find_signal00 (lua_State *tolua_S)
static int | tolua_signal_find_signal_callback00 (lua_State *tolua_S)

## Function Documentation

## ◆ luaopen_signal()

LUALIB_API int luaopen_signal | ( | lua_State * | tolua_S | ) |

Definition at line 179 of file tolua_signal_gen.c.

Referenced by tolua_signal_open().

## ◆ tolua_bnd_takeownership()

int tolua_bnd_takeownership | ( | lua_State * | L | ) |

## ◆ tolua_reg_types()

static void tolua_reg_types | ( | lua_State * | tolua_S | ) |

static

Definition at line 28 of file tolua_signal_gen.c.

Referenced by luaopen_signal().

## ◆ tolua_signal_find_signal00()

static int tolua_signal_find_signal00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 121 of file tolua_signal_gen.c.

Referenced by luaopen_signal().

## ◆ tolua_signal_find_signal_callback00()

static int tolua_signal_find_signal_callback00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 149 of file tolua_signal_gen.c.

Referenced by luaopen_signal().

## ◆ tolua_signal_open()

TOLUA_API int tolua_signal_open | ( | lua_State * | tolua_S | ) |

Definition at line 259 of file tolua_signal_gen.c.

Referenced by script_client_init(), and script_server_init().

## ◆ tolua_signal_signal_connect00()

static int tolua_signal_signal_connect00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 33 of file tolua_signal_gen.c.

Referenced by luaopen_signal().

## ◆ tolua_signal_signal_defined00()

static int tolua_signal_signal_defined00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 91 of file tolua_signal_gen.c.

Referenced by luaopen_signal().

## ◆ tolua_signal_signal_remove00()

static int tolua_signal_signal_remove00 | ( | lua_State * | tolua_S | ) |

static

Definition at line 62 of file tolua_signal_gen.c.

Referenced by luaopen_signal().